#
# spec file for package multimon (Version 971208)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  xf86

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat fontconfig fontconfig-devel gcc gdbm gettext libtool perl rpm xorg-x11 xorg-x11-devel xorg-x11-libs

Name:         multimon
License:      GPL
Group:        Productivity/Hamradio/Other
Autoreqprov:  on
Version:      971208
Release:      876
Summary:      Linux Radio Transmission Decoder
Source:       http://www.ife.ee.ethz.ch/~sailer/ham/linux/multimon.tar.gz
Patch:        multimon.dif
Url:          http://www.baycom.org/~tom/ham/linux/multimon.html
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The multimon software can decode a variety of digital transmission
modes commonly found on UHF radio. A standard PC soundcard is used to
acquire the signal from a transceiver. The decoding is done completely
in software.



Authors:
--------
    Thomas Sailer <sailer@ife.ee.ethz.ch>

%debug_package
%prep
%setup -n multimon
%patch

%build
%ifarch %ix86
make CFLAGS="$RPM_OPT_FLAGS -finline-functions -malign-loops=2 -malign-jumps=2 -malign-functions=2 -DARCH_I386"
%else
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGSX="-L/usr/X11R6/%_lib -lX11"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin/
install -m 755 bin-*/{gen,multimon} $RPM_BUILD_ROOT/usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc multimon.html
/usr/bin/*

%changelog -n multimon
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Mon Jun 03 2002 - ro@suse.de
- fix for lib64 platforms
* Thu Apr 12 2001 - uli@suse.de
- use RPM_OPT_FLAGS (fixes 390)
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Applications/Hamradio
* Fri May 19 2000 - bubnikv@suse.cz
- added buildroot, URL; spec file cleanup
- removed mktab binary; is used only by compilation process
* Tue Dec 07 1999 - kukuk@suse.de
- Fix for SPARC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 10 1999 - uli@suse.de
- fixed Makefile/spec for PPC
* Thu Jul 08 1999 - ka@suse.de
- fixed error in specfile
* Thu May 20 1999 - uli@suse.de
- builds on x86 boxes with x != 6
* Thu May 20 1999 - ro@suse.de
- no m486 et.al on alpha
* Fri Apr 09 1999 - ka@suse.de
- initial release
